<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Clientes</title>
        
       <style type="text/css">
            .btn{                
                margin: auto;
                align-content: center;
                display:block; 
                text-align:center
            }
            .c{
                align-content: center;
            }
            .cuerpo{
                background-image: url(../resources/imagenes/wallpaper.jpg)!important;
            }
            /*            .panel{
                            background-color: blue !important;
                        }*/              
        </style>
    </h:head>
    <h:body id="body" class="cuerpo">
        
        <p:layoutUnit position="north"  collapsible="true" style="background-color: #424242; margin-top: 15px;">
            <h:form>
                <p:menubar>
                    <p:menuitem value="Nuevo Usuario" onclick="PF('insertarcliente').show();"/>
                </p:menubar>
            </h:form>
        </p:layoutUnit>
        
        <h:form>
            <p:autoUpdate/>
        </h:form>
        
        <h:form id="form1" class="cuerpo">
            <p:panel id="panel" header="Clientes Actuales" style="border-radius: 30px !important; ">
                <p:dataTable id="tabla" var="pro" value="#{beancliente.listacliente}" stickyHeader="true"  style="border-radius: 30px !important;">
                    <p:column headerText="ID" width="50" >
                        <h:outputText id="idCliente" value="#{pro.idCliente}" style=" align-items: center;"/>
                    </p:column>
                    <p:column headerText="Nombre">
                        <h:outputText id="nombreCliente" value="#{pro.nombreCliente}"/>
                    </p:column>
                    <p:column headerText="Apellido">
                        <h:outputText id="apellidoCliente" value="#{pro.apellidoCliente}"/>
                    </p:column>
                    <p:column headerText="Direccion">
                        <h:outputText id="direccionCliente" value="#{pro.direccionCliente}"/>
                    </p:column>
                    <p:column headerText="Telefono">
                        <h:outputText id="telefonoCliente" value="#{pro.telefonoCliente}"/>
                    </p:column>
                    <p:column headerText="E-Mail">
                        <h:outputText id="mailCliente" value="#{pro.mailCliente}"/>
                    </p:column>
                    <p:column headerText="Accion" width="90">
                            <p:commandButton  icon="ui-icon-trash"  update="tabla" actionListener="#{beancliente.eliminar(pro.idCliente)}"/>
                            
                            <p:commandButton  icon="ui-icon-pencil" update="actualizar" onclick="PF('ventanacliente').show();" actionListener="#{beancliente.mostrarporid(pro.idCliente)}" style="margin-left: 25% !important;"/>
                    </p:column>
                </p:dataTable>
            </p:panel>  
        </h:form>
        
        <p:growl>
                <p:autoUpdate />
        </p:growl>
        
        <p:dialog header="Actualizar Cliente" widgetVar="ventanacliente" modal="true" showEffect="drop" hideEffect="slide"  draggable="false" resizable="false">
            <h:form id="actualizar">
                <p:panel header="actualizar">
                    <h:panelGrid columns="2">
                        <h:outputText id="idCliente3" value="idCliente"/>
                        <p:inputText id="id" type="hidden" style="border-radius: 8px;" value="#{beancliente.idCliente}"/>

                        <h:outputText id="nombreCliente3" value="nombreCliente"/>
                        <p:inputText id="nombre" required="true" requiredMessage="Nombre es obligatorio" style="border-radius: 8px;" value="#{beancliente.nombreCliente}"/>

                        <h:outputText id="apellidoCliente3" value="apellidoCliente"/>
                        <p:inputText id="apellido"  style="border-radius: 8px;" value="#{beancliente.apellidoCliente}"/>

                        <h:outputText id="direccionCliente3" value="direccionCliente"/>
                        <p:inputText id="direccion" required="true" requiredMessage="Nombre es obligatorio" style="border-radius: 8px;" value="#{beancliente.direccionCliente}"/>

                        <h:outputText id="telefonoCliente3" value="telefonoCliente"/>
                        <p:inputText id="telefono" required="true" requiredMessage="telefono es obligatorio" style="border-radius: 8px;" value="#{beancliente.telefonoCliente}" placeholder="0000-0000"/>
                        
                        <h:outputText id="mailCliente3" value="mailCliente"/>
                        <p:inputText id="Mail" required="true" requiredMessage="Mail es obligatorio" style="border-radius: 8px;" value="#{beancliente.mailCliente}"/>
                    </h:panelGrid>
                    <p:commandButton styleClass="btn" value="Actualizar Cliente" update="form1"  onclick="PF('ventanacliente').hide();" actionListener="#{beancliente.actializarcliente()}"/>
                </p:panel>
            </h:form>
        </p:dialog>
        
        <p:dialog header="Insertar Cliente" widgetVar="insertarcliente" modal="true" showEffect="slide" hideEffect="drop" draggable="false" resizable="false">
            <h:form id="insertar">
                <p:panel header="insertar">
                    <h:panelGrid columns="2">
                        <h:outputText id="idCliente4" value="idCliente"/>
                        <p:inputText id="id2" readonly="true" style="border-radius: 8px;" value="#{beancliente.idCliente}"/>

                        <h:outputText id="nombreCliente4" value="nombreCliente"/>
                        <p:inputText id="nombre2" required="true" requiredMessage="Nombre es obligatorio" style="border-radius: 8px;" value="#{beancliente.nombreCliente}"/>

                        <h:outputText id="apellidoCliente4" value="apellidoCliente"/>
                        <p:inputText id="apellido2"  style="border-radius: 8px;" value="#{beancliente.apellidoCliente}"/>

                        <h:outputText id="direccionCliente4" value="direccionCliente"/>
                        <p:inputText id="direccion2" required="true" requiredMessage="Nombre es obligatorio" style="border-radius: 8px;" value="#{beancliente.direccionCliente}"/>

                        <h:outputText id="telefonoCliente4" value="telefonoCliente"/>
                        <p:inputMask id="telefono2" required="true" requiredMessage="telefono es obligatorio" style="border-radius: 8px;" value="#{beancliente.telefonoCliente}" mask="9999-9999" maxlength="9"/>
                        
                        <h:outputText id="mailCliente4" value="mailCliente"/>
                        <p:inputText id="Mail2" required="true" requiredMessage="Mail es obligatorio" style="border-radius: 8px;" value="#{beancliente.mailCliente}"/>
                    </h:panelGrid>
                    <p:commandButton value="Insertar Cliente" styleClass="btn" update="form1" actionListener="#{beancliente.insertar()}" onclick="PF('insertarcliente').hide();" />

                </p:panel>
            </h:form>
        </p:dialog>
        
        
        
        
        
    </h:body>
</html>

